ion-item:not(.input) {
  --min-height: 80px;
}

ion-footer {
  box-shadow: rgb(0 0 0 / 12%) 0px 4px 16px;
  ion-toolbar {
    ion-segment-button {
      width: 200px;
      height: 40px;
    }
    ion-title {
      padding-left: 45px;
      padding-right: 45px;
    }
    fa-icon {
      color: var(--ion-color-primary-contrast);
    }
  }
}

ion-header{
  &.header-collapse-condense{
    ion-toolbar{
      .toolbar-container{
        padding: 0;
      }
    }
  }
  ion-toolbar {
    --background: var(--ion-color-primary);
    color: var(--ion-color-primary-contrast);
    ion-title {
      padding-left: 45px;
      padding-right: 45px;
    }
    ion-back-button {
      color: var(--ion-color-primary-contrast);
      padding: 0 10px;
    }
  }
}



ion-item {
  --detail-icon-color: var(--ion-color-primary);
  --detail-icon-opacity: 1;
  --detail-icon-font-size: 24px;
}

.ion-no-border {
  --border-style: none;
}

.custom-toolbar {
  --border-width: 0 !important;
  ion-title {
    position: static !important;
    padding: 16px;
    font-size: 30px;
  }
  > div {
    position: static !important;
    padding-left: 16px;
    padding-right: 16px;
    color: black;
  }

  .toolbar-title {
    white-space: normal;
    text-overflow: unset;
    font-size: 30px;
  }
}

.header-collapse-condense-inactive {
  ion-back-button {
    color: var(--ion-color-primary);
  }
}


:not(.header-collapse-condense-inactive){
ion-icon.custom{
  color: white;
}
}

.header-collapse-condense-inactive{
  ion-icon.custom{
    color: inherit;
  }
}

ion-img{
  &.center{
    max-width: 50%;margin: 0 auto;
  }
}

ion-card,
.card-ios,
.card-md {
  &.border-top-primary{
    border-top: 5px solid var(--ion-color-primary);
    box-shadow: 0;
  }
  &.border-left-primary{
    border-left: 5px solid var(--ion-color-primary);
    box-shadow: 0;
  }
}

ion-item-divider{
  height: 60px;
}


ion-toolbar.custom {
  --background: transparent;
  --border-color: transparent;
}

ion-content.custom {
  --offset-top: 50px;
  position: absolute;
  top: 50px;
  --offset-bottom: -50px !important;
}
